﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Media;

namespace Ribbon_133122
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ViewModel()
        {
            Controls = new List<Model>();
            Controls.Add(new Model() { Header = "RibbonButton" });
            Controls.Add(new Model() { Header = "RibbonCheckBox" });
            Controls.Add(new Model() { Header = "RibbonComboBox" });
            Controls.Add(new Model() { Header = "RibbonItemsControl" });
            Controls.Add(new Model() { Header = "RibbonListBox" });
            Controls.Add(new Model() { Header = "RibbonMenuGroup" });
            Controls.Add(new Model() { Header = "RibbonStatusBar" });
            Controls.Add(new Model() { Header = "RibbonTextBox" });
        }

        private SolidColorBrush ribbonbarBrush = new SolidColorBrush(Colors.Green);

        public SolidColorBrush RibbonBarBrush
        {
            get { return ribbonbarBrush; }
            set
            {
                ribbonbarBrush = value;
                OnPropertyChanged("RibbonBarBrush");
            }
        }

        private List<Model> controls;

        public List<Model> Controls
        {
            get { return controls; }
            set
            {
                controls = value;
                OnPropertyChanged("Controls");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }

    public class Model
    {
        public Model()
        { }

        private string header;

        public string Header
        {
            get { return header; }
            set { header = value; }
        }
    }
}
